NX Open C++ Reference Guide
|
Represents a Facet::SmoothFacetBodyBuilder . More...
Public Member Functions | |
NXOpen::Facet::SelectFacetedBodyList * | FacetBodies () |
Returns the facet bodies to be smoothed Created in NX7.5.0. | |
bool | IsEditCopy () |
Returns the option indicating if a copy of the facet body will be smoothed without altering the original Created in NX7.5.0. | |
bool | IsLockBoundary () |
Returns the option indicating if the open edges of inner and outer loops in the facet bodies are to be kept intact Created in NX7.5.0. | |
int | ModifyPercent () |
Returns the modification percentage Created in NX7.5.0. | |
NXOpen::GeometricUtilities::BoundaryDefinitionBuilderList * | RegionList () |
Returns an optional list of regions on the facet bodies to be smoothed Created in NX7.5.0. | |
void | SetEditCopy (bool isEditCopy) |
Sets the option indicating if a copy of the facet body will be smoothed without altering the original Created in NX7.5.0. | |
void | SetLockBoundary (bool isLockBoundary) |
Sets the option indicating if the open edges of inner and outer loops in the facet bodies are to be kept intact Created in NX7.5.0. | |
void | SetModifyPercent (int modifyPercent) |
Sets the modification percentage Created in NX7.5.0. | |
void | SetSmoothFactor (int smoothFactor) |
Sets the smoothing factor Created in NX7.5.0. | |
int | SmoothFactor () |
Returns the smoothing factor Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Facet::SmoothFacetBodyBuilder .
Smooth Facet Body Builder is a function to facilitate the removal of noise from facet bodies while keeping the general shape in tact. <br> To create a new instance of this class, use @link Facet::FacetedBodyCollection::CreateSmoothFacetBodyBuilder Facet::FacetedBodyCollection::CreateSmoothFacetBodyBuilder @endlink <br>
Default values.
Property | Value |
---|---|
IsEditCopy |
0 |
IsLockBoundary |
0 |
ModifyPercent |
100 |
SmoothFactor |
1 |
Created in NX7.5.0.
NXOpen::Facet::SelectFacetedBodyList* NXOpen::Facet::SmoothFacetBodyBuilder::FacetBodies | ( | ) |
Returns the facet bodies to be smoothed
Created in NX7.5.0.
License requirements : None
bool NXOpen::Facet::SmoothFacetBodyBuilder::IsEditCopy | ( | ) |
Returns the option indicating if a copy of the facet body will be smoothed without altering the original
Created in NX7.5.0.
License requirements : None
bool NXOpen::Facet::SmoothFacetBodyBuilder::IsLockBoundary | ( | ) |
Returns the option indicating if the open edges of inner and outer loops in the facet bodies are to be kept intact
Created in NX7.5.0.
License requirements : None
int NXOpen::Facet::SmoothFacetBodyBuilder::ModifyPercent | ( | ) |
Returns the modification percentage
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::BoundaryDefinitionBuilderList* NXOpen::Facet::SmoothFacetBodyBuilder::RegionList | ( | ) |
Returns an optional list of regions on the facet bodies to be smoothed
Created in NX7.5.0.
License requirements : None
void NXOpen::Facet::SmoothFacetBodyBuilder::SetEditCopy | ( | bool | isEditCopy | ) |
Sets the option indicating if a copy of the facet body will be smoothed without altering the original
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
isEditCopy | iseditcopy |
void NXOpen::Facet::SmoothFacetBodyBuilder::SetLockBoundary | ( | bool | isLockBoundary | ) |
Sets the option indicating if the open edges of inner and outer loops in the facet bodies are to be kept intact
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
isLockBoundary | islockboundary |
void NXOpen::Facet::SmoothFacetBodyBuilder::SetModifyPercent | ( | int | modifyPercent | ) |
Sets the modification percentage
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
modifyPercent | modifypercent |
void NXOpen::Facet::SmoothFacetBodyBuilder::SetSmoothFactor | ( | int | smoothFactor | ) |
Sets the smoothing factor
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
smoothFactor | smoothfactor |
int NXOpen::Facet::SmoothFacetBodyBuilder::SmoothFactor | ( | ) |
Returns the smoothing factor
Created in NX7.5.0.
License requirements : None